Subject: Re: [PATCH] _virsh (Was: Re: zsh virsh completion)
From: Oliver Kiddle <[email-masked]>
To: Marko Myllynen <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Jul 2016 18:12:49 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Marko Myllynen wrote:
> +      _values servers ${=${(S)${${(f)$(sudo virt-admin srv-list)}##*--- }//[0-9]* }} && return 0

> +      _values servers ${=${${(f):-"$(sudo virt-admin srv-clients-list --server $srv)"}/ [a-z]*}//[^0-9]} && return 0

I have pushed the change but I've just noticed these two lines. I'm not
sure it is a good idea to be running sudo within completion functions.
That can trigger logging and is often denied when you're already root.
And there may be alternatives like doas.

There's also another instance of this in Mandriva/Command/_rebootin.

Anyone, have any thoughts on how this should be handled? I'm inclined
to think that users should have to specifically set a gain-root
style to enable this. Or perhaps it could only trigger if you
complete after sudo virt-admin.

Oliver